Qt 5.8 | Qt Sensors | C++ Classes | QSensorGesture

Qt 5.8.0 Reference Documentation

# QSensorGesture Class

The QSensorGesture class represents one or more sensor gesture recognizers. More...

Header: | #include <QSensorGesture>
qmake: | QT += sensors
Since: | Qt 5.1

- List of all members, including inherited members

## Public Functions

| QSensorGesture(const QStringList &ids, QObject *parent = Q_NULLPTR)
| ~QSensorGesture()
QStringList | gestureSignals() const
QStringList | invalidIds() const
bool | isActive()
void | startDetection()
void | stopDetection()
QStringList | validIds() const

## Signals

void | detected(QString gestureId)

## Detailed Description

The QSensorGesture class represents one or more sensor gesture recognizers.

In addition to the QSensorGesture::detected() signal, Sensor Gesture Recognizers can have their own specific signals, and may be discovered through QSensorGesture::gestureSignals().

Note that QSensorGesture uses a custom meta-object in order to provide recognizer-specific signals. This means it is not possible to sub-class QSensorGesture and use Q_OBJECT. Also qobject_cast<QSensorGesture*>(ptr) will not work.

You may use QSensorGestureManager to obtain the systems known sensor gesture ids.

See also QSensorGestureRecognizer and QSensorGestureManager.

## Member Function Documentation

### QSensorGesture::QSensorGesture(const QStringList &ids, QObject *parent = Q_NULLPTR)

Constructs the sensor gesture, and initializes the ids list of recognizers, with parent parent

### QSensorGesture::~QSensorGesture()

Destroy the QSensorGesture

### `[signal]` void QSensorGesture::detected(QString gestureId)

Signals when the gestureId gesture has been recognized.

### QStringList QSensorGesture::gestureSignals() const

Returns all the possible gestures signals that may be emitted.

### QStringList QSensorGesture::invalidIds() const

Returns the gesture recognizer ids that were not found.

### bool QSensorGesture::isActive()

Returns whether this gesture is active or not.

### void QSensorGesture::startDetection()

Starts the gesture detection routines in the recognizer.

### void QSensorGesture::stopDetection()

Stops the gesture detection routines.

### QStringList QSensorGesture::validIds() const

Returns the gesture recognizer ids that were found.